Questions tagged [php8]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
0 answers
11 views

ftp_connect function not working to connect with localhost in MAC

I have tried so many things but ftp_connect and ftp_ssl_connect are not working in my development instance. I am using MAC and PHP8.1, I am trying to connect to localhost with the below simple script: ...
user avatar
  • 11
0 votes
0 answers
19 views

Is there any default php method to uses the deprecated end() function php8.1?

end() function is deprecated in php8.1 and have tried to find the default PHP method but seems for an end() method replacement there is no same working method anywhere. https://www.php.net/manual/en/...
user avatar
6 votes
1 answer
452 views

Deprecated Functionality: explode(): Passing null to parameter #2 ($string) of type string is deprecated in

When running Magento 2.4.4 with PHP 8.1, if I use a block object's getTemplateFile method AND the block had no template set, I end up with an error that looks like this 1 exception(s): Exception #0 (...
user avatar
  • 43.7k
1 vote
3 answers
201 views

Magento upgrade 2.4.4, phpunit issue

I am getting below issue while upgrading to Magento version 2.4.4 on php 8 Your requirements could not be resolved to an installable set of packages. Problem 1 - phpunit/phpunit 6.5.14 requires php ^...
user avatar
  • 1,705